<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">
                {form form}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    {* TAB-TABS*}
                    <div class="row">
                        <div class="col-12">
                            <ul class="nav nav-tabs" id="tournament-tab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="general-tab" data-toggle="tab" href="#general"
                                       role="tab" aria-controls="general" aria-selected="false">
                                        <i class="fas fa-fw fa-cogs"></i> <span
                                                class="d-none d-lg-inline-block">{_'form.ticket.edit.tab.general'}</span>
                                    </a>
                                </li>

                                <li class="nav-item">
                                    <a class="nav-link" href="#payment">
                                        <i class="fas fa-fw fa-file-invoice-dollar"></i> <span
                                                class="d-none d-lg-inline-block">{_'form.ticket.edit.tab.payment'}</span>
                                    </a>
                                </li>

                                <li class="nav-item">
                                    <a class="nav-link" id="mail-template-tab" data-toggle="tab" href="#mail-template" role="tab" aria-controls="mail-template" aria-selected="false">
                                        <i class="fas fa-fw fa-mail-bulk"></i> <span class="d-none d-lg-inline-block">{_'form.ticket.edit.tab.mail-template'}</span>
                                    </a>
                                </li>

                                {$ticketEvent|renderSeoTab}
                            </ul>
                        </div>
                    </div>

                    {* TAB-CONTENT*}
                    <div class="tab-content pt-3" id="tournament-tab-content">

                        {* general *}
                        <div class="tab-pane fade active show" id="general" role="tabpanel" aria-labelledby="general-tab">
                            <div class="row">
                                <div class="col-12 col-lg-7 col-xl-8">
                                    {label name /}
                                    <div class="form-group input-group border-right-0">
                                        {input name class => 'form-control'}
                                        <div class="input-group-append" n:ifset="$form['changeWebalize']">
                                            <div class="input-group-text custom-control custom-switch bg-white border-left-0">
                                                {input changeWebalize: class => "custom-control-input"}
                                                {label changeWebalize: class => "custom-control-label ml-2" /}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-12 col-lg-5 col-xl-4">
                                    {label validity /}
                                    <div class="form-group mb-1">
                                        {input validity class => 'form-control'}
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12 form-group">
                                    {label content /}
                                    {input content class => 'form-control',  data-tinymce => 'default'}
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12">
                                    {$form['isActive']|formCheckbox}
                                </div>
                            </div>
                        </div>

                        {* payment *}
                        <div class="show tab-pane fade" id="payment">
                            <div class="row">
                                <div class="col-12">
                                    {label payment /}
                                    <div class="form-group">
                                        {input payment class => 'form-control chosen-select',
                                        data-chosen-placeholder-text => ('form.ticket.edit.payment.placeholder'|translate),
                                        data-chosen-no-result-text => ('form.ticket.edit.payment.no-result'|translate)}
                                    </div>
                                </div>

                                <div class="col-12" n:foreach="$form['paymentPrice']->getComponents() as $paymentId => $component"
                                     id="payment-price-{$paymentId}">
                                    {label $component['price'] /}
                                    <div class="form-group">
                                        {input $component['price'] class => 'form-control'}
                                    </div>
                                </div>
                            </div>
                        </div>

                        {* mail-template *}
                        <div class="tab-pane fade" id="mail-template" role="tabpanel" aria-labelledby="mail-template-tab">

                            <div class="row">
                                <div class="col-12">
                                    {_'form.ticket.edit.ticket-registration.mail-templates.perex'}
                                </div>
                            </div>

                            <div class="row mt-4 mb-2">
                                <div class="col-12">
                                    <ul class="nav nav-pills" n:inner-foreach="$form['mailTemplates']->getComponents() as $stateId => $mailTemplate">
                                        <li class="nav-item">
                                            <a class="nav-link {$iterator->first ? 'active'}" href="#mail-template-{$stateId}">
                                                {_$mailTemplate['name']->getValue()} <sup class="text-danger" n:if="$mailTemplate['subject']->getValue() === ''">•</sup>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            <div class="row form-group">
                                <div class="col-12 tab-content" n:inner-foreach="$form['mailTemplates']->getComponents() as $stateId => $mailTemplate">
                                    <div class="tab-pane fade {$iterator->first ? 'show active'}" id="mail-template-{$stateId}">

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                {label $mailTemplate['subject'] /}
                                                <div class="form-group">
                                                    {input $mailTemplate['subject'] class => 'form-control'}
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                {label $mailTemplate['recipients'] /}
                                                {input $mailTemplate['recipients'] class => 'form-control', data-tagsinput-type => 'email'}
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                {label $mailTemplate['preheader'] /} <sup class="fa-sm"><a href="#" class="fas fa-fw fa-info-circle cursor-help" data-toggle="popover"
                                                                                                           data-placement="right" data-trigger="focus hover" data-html="true"
                                                                                                           title="{_'form.ticket.edit.ticket-registration.mail-template.preheader.title'}"
                                                                                                           data-content='{_$preheaderTooltip|noescape}'></a></sup>
                                                {input $mailTemplate['preheader'] class => 'form-control'}
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                {label $mailTemplate['content'] /}
                                                <div class="form-group">
                                                    {input $mailTemplate['content'] class => 'form-control',  data-tinymce => 'mail'}
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row mb-2">
                                            {var $_mailTemplate = $ticketEvent->findMailTemplate($mailTemplate['class']->getValue(), $stateId)}
                                            {if $_mailTemplate === null}
                                                <div class="col-12">
                                                    {$mailTemplate['attachments']|formFile}
                                                </div>
                                            {else}
                                                <div class="col-12">
                                                    {_'form.ticket.edit.ticket-registration.attachments'}
                                                    <a href="{plink Component:default package => new Skadmin\File\BaseControl, render => 'form-file-manager', entity => get_class($_mailTemplate), entityId => $_mailTemplate->getId(), title => (new Skadmin\Translator\SimpleTranslation('form.ticket.edit.ticket-registration.mail-template %s %s', [$ticketEvent->getName(), ($mailTemplate['name']->getValue()|translate)])|translate)}"
                                                       class="btn btn-xs btn-outline-primary ajax">
                                                        <i class="fas fa-fw fa-pen"></i>
                                                        {_'form.ticket.edit.ticket-registration.attachments.edit'}
                                                    </a>
                                                </div>
                                                <div class="col-12 mt-3 table-responsive">
                                                    <table class="table table-striped">
                                                        <tr n:if="$_mailTemplate->getFiles()->count() === 0">
                                                            <td class="text-muted text-center">
                                                                {_'form.ticket.edit.ticket-registration.attachments.not-found'}
                                                            </td>
                                                        </tr>
                                                        <tr n:foreach="$_mailTemplate->getFiles() as $file">
                                                            <td>{$file->getName()}</td>
                                                            <td class="text-right">{$file->getSizeInUnit()}</td>
                                                            <td class="text-right"><a n:href="forceDownloadFile! hash => $file->getHash()" class="fas fa-fw fa-download"></a></td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            {/if}
                                        </div>

                                        <div class="row">
                                            <div class="col-12 form-group">
                                                <h6 class=" font-weight-bold text-primary">{_'form.ticket.edit.ticket-registration.mail-template.help'}</h6>
                                                <div class="border-left-warning p-3" n:if="count($parameters[$mailTemplate['class']->getValue()]) === 0">
                                                    {_'form.ticket.edit.ticket-registration.mail-template.help.no-parameter'}
                                                </div>

                                                <table class="table table-striped table-hover border-left-warning" n:if="count($parameters[$mailTemplate['class']->getValue()]) !== 0">
                                                    <thead>
                                                    <tr>
                                                        <td colspan="3">{_'form.ticket.edit.ticket-registration.mail-template.table.help'}</td>
                                                    </tr>
                                                    <tr>
                                                        <th class="text-nowrap">{_'form.ticket.edit.ticket-registration.mail-template.table.name'}</th>
                                                        <th class="w-25">{_'form.ticket.edit.ticket-registration.mail-template.table.description'}</th>
                                                        <th class="w-50">{_'form.ticket.edit.ticket-registration.mail-template.table.example'}</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr n:foreach="$parameters[$mailTemplate['class']->getValue()] as $parametr">
                                                        <td class="text-nowrap" data-copy-to-clipboard="text">[{$parametr['name']}]</td>
                                                        <td>{_$parametr['description']}</td>
                                                        <td>{_$parametr['example']|noescape}</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                            {input sendBack class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                            {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                        </div>
                    </div>
                {/form}
            </div>
        </div>
    </div>

</div>